Page MenuHomePhabricator

Add sjk, sia and sjt as languages for monolingual properties
Closed, ResolvedPublic

Description

From the list in T217430 the following languages aren't added as monolingual properties yet. Reporter of that ticket has stated for these languages adding them for use in monolingual properties is enough.

sjk – Kemi (extinct)
sia – Akkala (extinct)
sjt – Ter (endangered)

Event Timeline

Mbch331 created this task.Mar 3 2019, 5:57 PM
Mbch331 moved this task from Unsorted to Languages on the Community-consensus-needed board.
Mbch331 added a subscriber: GerardM.

@GerardM What's the opinion of LangCom about sje,smj, sjk, sia and sjt as languages for monolingual properties?

Reedy renamed this task from Add sje,smj, sjk, sia and sjt as languages for monolingual properties to Add sje, smj, sjk, sia and sjt as languages for monolingual properties.Mar 3 2019, 7:35 PM
Reedy removed a project: good first bug.
Zache added a subscriber: Zache.Mar 21 2019, 12:42 PM
This comment was removed by Zache.

@GerardM What's the opinion of LangCom about sje,smj, sjk, sia and sjt as languages for monolingual properties?

No problem, I can make a patch for this later. But as I understand it, WMFI also wants it for labels and descriptions. I can make a patch for that too.

jhsoby-WMNO edited projects, added WMNO-Sami; removed Community-consensus-needed.

@jhsoby-WMNO I could have done the patch too, but I'm not making patches before LangCom approval. But go ahead. Haven't started yet.

jhsoby renamed this task from Add sje, smj, sjk, sia and sjt as languages for monolingual properties to Add sjk, sia and sjt as languages for monolingual properties.Mar 25 2019, 12:57 PM
jhsoby updated the task description. (Show Details)
jhsoby added a subscriber: jhsoby.

Pite and Lule Sami already work – the autocomplete for typing the language name doesn't work, but that's a different issue. If you type in the language code, they work.

Change 498842 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[mediawiki/extensions/Wikibase@master] Add monolingual language codes sjk, sia, sjt

https://gerrit.wikimedia.org/r/498842

jhsoby-WMNO moved this task from Incoming to In progress on the WMNO-Sami board.Mar 25 2019, 1:12 PM

Change 498842 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add monolingual language codes sjk, sia, sjt

https://gerrit.wikimedia.org/r/498842

Lydia_Pintscher closed this task as Resolved.Apr 21 2019, 10:13 AM
jhsoby-WMNO moved this task from In progress to Done on the WMNO-Sami board.Thu, Apr 25, 2:33 PM